Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Public Attributes | Properties | List of all members
StateLink Class Reference

Class that contains a transition destination State. More...

## Public Member Functions
| StateLink ()
| StateLink constructor More...
| StateLink (StateLink stateLink)
| StateLink copy constructor. More...

## Public Attributes
string | name
| Name. More...
int | stateID
| ID of transition destination State. More...
TransitionTiming | transitionTiming = TransitionTiming.LateUpdateDontOverwrite
| Transition timing. More...
Bezier2D | bezier = new Bezier2D()
| For Editor. More...
bool | lineColorChanged
| For Editor. More...
Color | lineColor = new Color( 1.0f,1.0f,1.0f,1.0f )
| For Editor. More...

## Properties
bool | immediateTransition`[get]`
| Whether to immediately transition. More...
uint | transitionCount`[get, set]`
| Transition count. More...
bool | isReroute`[get, set]`
| Whether reroute. More...

## Detailed Description

Class that contains a transition destination State.

## Constructor & Destructor Documentation

## ◆ StateLink() [1/2]

StateLink | ( |  | ) |

StateLink constructor

## ◆ StateLink() [2/2]

StateLink | ( | StateLink | stateLink | ) |

StateLink copy constructor.

Parameters

  stateLink | Copy source StateLink

## Member Data Documentation

## ◆ bezier

Bezier2D bezier = new Bezier2D()

For Editor.

## ◆ lineColor

Color lineColor = new Color( 1.0f,1.0f,1.0f,1.0f )

For Editor.

## ◆ lineColorChanged

bool lineColorChanged

For Editor.

## ◆ name

string name

Name.

The path is displayed if you do not enter.

## ◆ stateID

int stateID

ID of transition destination State.

## ◆ transitionTiming

TransitionTiming transitionTiming = TransitionTiming.LateUpdateDontOverwrite

Transition timing.

## Property Documentation

## ◆ immediateTransition

bool immediateTransition
| get

Whether to immediately transition.

## ◆ isReroute

bool isReroute
| get set

Whether reroute.

## ◆ transitionCount

uint transitionCount
| get set

Transition count.